| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Functions
OgreMath.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::Angle
| Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...
class | Ogre::Degree
| Wrapper class which indicates a given angle value is in Degrees. More...
class | Ogre::Math
| Class to provide access to common mathematical functions. More...
class | Ogre::Math::RandomValueProvider
| This class is used to provide an external random value provider. More...
class | Ogre::Radian
| Wrapper class which indicates a given angle value is in Radians. More...

## Namespaces
| Ogre

## Functions
Radian | Ogre::operator* (Real a, const Radian &b)
Degree | Ogre::operator* (Real a, const Degree &b)
Radian | Ogre::operator/ (Real a, const Radian &b)
Degree | Ogre::operator/ (Real a, const Degree &b)